// Code generated by running "go generate" in golang.org/x/text. DO NOT EDIT.

package translations

import (
	"golang.org/x/text/language"
	"golang.org/x/text/message"
	"golang.org/x/text/message/catalog"
)

type dictionary struct {
	index []uint32
	data  string
}

func (d *dictionary) Lookup(key string) (data string, ok bool) {
	p, ok := messageKeyToIndex[key]
	if !ok {
		return "", false
	}
	start, end := d.index[p], d.index[p+1]
	if start == end {
		return "", false
	}
	return d.data[start:end], true
}

func init() {
	dict := map[string]catalog.Dictionary{
		"de": &dictionary{index: deIndex, data: deData},
		"en": &dictionary{index: enIndex, data: enData},
	}
	fallback := language.MustParse("en")
	cat, err := catalog.NewFromMap(dict, catalog.Fallback(fallback))
	if err != nil {
		panic(err)
	}
	message.DefaultCatalog = cat
}

var messageKeyToIndex = map[string]int{
	"\tbackend: %v":  24,
	"\texport: %s":   10,
	"\timport: %s\n": 11,
	"Aborted":        21,
	"Access token":   32,
	"Access token received, you can use %v now.\n": 19,
	"Append to file": 38,
	"Backend":        43,
	"Client ID":      28,
	"Client secret":  29,
	"Delete the service configuration \"%v\"?":         20,
	"Disable auto correction of submitted listens":     36,
	"During the import the following errors occurred:": 7,
	"Error: %v\n":                 8,
	"Error: OAuth state mismatch": 18,
	"Failed reading config: %v":   12,
	"File path":                   33,
	"From timestamp: %v (%v)":     4,
	"Import failed, last reported timestamp was %v (%v)": 5,
	"Imported %v of %v %s into %v.":                      6,
	"Include skipped listens":                            37,
	"Latest timestamp: %v (%v)\n":                        9,
	"No":                                                 40,
	"Playlist title":                                     34,
	"Saved service %v using backend %v":                  15,
	"Server URL":                                         30,
	"Service":                                            42,
	"Service \"%v\" deleted\n":                           22,
	"Service name":                                       13,
	"Token received, you can close this window now.":     25,
	"Transferring %s from %s to %s...":                   3,
	"Unique playlist identifier":                         35,
	"Updated service %v using backend %v\n":              23,
	"User name":                                          31,
	"Visit the URL for authorization: %v":                17,
	"Yes":                                                39,
	"a service with this name already exists":            14,
	"backend %s does not implement %s":                   26,
	"done":                                               2,
	"exporting":                                          0,
	"failed loading service configuration":               16,
	"importing":                                          1,
	"key must only consist of A-Za-z0-9_-":               45,
	"no configuration file defined, cannot write config": 44,
	"no existing service configurations":                 41,
	"no service configuration \"%v\"":                    46,
	"unknown backend \"%s\"":                             27,
}

var deIndex = []uint32{ // 48 elements
	// Entry 0 - 1F
	0x00000000, 0x0000000b, 0x00000016, 0x0000001d,
	0x00000046, 0x00000064, 0x000000a4, 0x000000cf,
	0x00000106, 0x00000119, 0x00000142, 0x00000142,
	0x00000142, 0x00000142, 0x00000142, 0x00000142,
	0x00000142, 0x00000142, 0x00000142, 0x00000142,
	0x00000142, 0x00000142, 0x00000142, 0x00000142,
	0x00000142, 0x00000142, 0x00000142, 0x00000142,
	0x00000142, 0x00000142, 0x00000142, 0x00000142,
	// Entry 20 - 3F
	0x00000142, 0x00000142, 0x00000142, 0x00000142,
	0x00000142, 0x00000142, 0x00000142, 0x00000142,
	0x00000142, 0x00000142, 0x00000142, 0x00000142,
	0x00000142, 0x00000142, 0x00000142, 0x00000142,
} // Size: 216 bytes

const deData string = "" + // Size: 322 bytes
	"\x02exportiere\x02importiere\x02fertig\x02Übertrage %[1]s von %[2]s nach" +
	" %[3]s...\x02Ab Zeitstempel: %[1]v (%[2]v)\x02Import fehlgeschlagen, der" +
	" letzte Zeitstempel war %[1]v (%[2]v)\x02%[1]v von %[2]v %[3]s in %[4]v " +
	"importiert.\x02Während des Imports sind folgende Fehler aufgetreten:\x04" +
	"\x00\x01\x0a\x0e\x02Fehler: %[1]v\x04\x00\x01\x0a$\x02Neuester Zeitstemp" +
	"el: %[1]v (%[2]v)"

var enIndex = []uint32{ // 48 elements
	// Entry 0 - 1F
	0x00000000, 0x0000000a, 0x00000014, 0x00000019,
	0x00000043, 0x00000061, 0x0000009a, 0x000000c4,
	0x000000f5, 0x00000107, 0x0000012c, 0x0000013f,
	0x00000153, 0x00000170, 0x0000017d, 0x000001a5,
	0x000001cd, 0x000001f2, 0x00000219, 0x00000235,
	0x00000268, 0x00000292, 0x0000029a, 0x000002b7,
	0x000002e6, 0x000002fa, 0x00000329, 0x00000350,
	0x00000368, 0x00000372, 0x00000380, 0x0000038b,
	// Entry 20 - 3F
	0x00000395, 0x000003a2, 0x000003ac, 0x000003bb,
	0x000003d6, 0x00000403, 0x0000041b, 0x0000042a,
	0x0000042e, 0x00000431, 0x00000454, 0x0000045c,
	0x00000464, 0x00000497, 0x000004bc, 0x000004dd,
} // Size: 216 bytes

const enData string = "" + // Size: 1245 bytes
	"\x02exporting\x02importing\x02done\x02Transferring %[1]s from %[2]s to %" +
	"[3]s...\x02From timestamp: %[1]v (%[2]v)\x02Import failed, last reported" +
	" timestamp was %[1]v (%[2]v)\x02Imported %[1]v of %[2]v %[3]s into %[4]v" +
	".\x02During the import the following errors occurred:\x04\x00\x01\x0a" +
	"\x0d\x02Error: %[1]v\x04\x00\x01\x0a \x02Latest timestamp: %[1]v (%[2]v)" +
	"\x04\x01\x09\x00\x0e\x02export: %[1]s\x04\x01\x09\x01\x0a\x0e\x02import:" +
	" %[1]s\x02Failed reading config: %[1]v\x02Service name\x02a service with" +
	" this name already exists\x02Saved service %[1]v using backend %[2]v\x02" +
	"failed loading service configuration\x02Visit the URL for authorization:" +
	" %[1]v\x02Error: OAuth state mismatch\x04\x00\x01\x0a.\x02Access token r" +
	"eceived, you can use %[1]v now.\x02Delete the service configuration \x22" +
	"%[1]v\x22?\x02Aborted\x04\x00\x01\x0a\x18\x02Service \x22%[1]v\x22 delet" +
	"ed\x04\x00\x01\x0a*\x02Updated service %[1]v using backend %[2]v\x04\x01" +
	"\x09\x00\x0f\x02backend: %[1]v\x02Token received, you can close this win" +
	"dow now.\x02backend %[1]s does not implement %[2]s\x02unknown backend " +
	"\x22%[1]s\x22\x02Client ID\x02Client secret\x02Server URL\x02User name" +
	"\x02Access token\x02File path\x02Playlist title\x02Unique playlist ident" +
	"ifier\x02Disable auto correction of submitted listens\x02Include skipped" +
	" listens\x02Append to file\x02Yes\x02No\x02no existing service configura" +
	"tions\x02Service\x02Backend\x02no configuration file defined, cannot wri" +
	"te config\x02key must only consist of A-Za-z0-9_-\x02no service configur" +
	"ation \x22%[1]v\x22"

	// Total table size 1999 bytes (1KiB); checksum: FFEA1B2A
